Subject: bug#107 closed by Stefan Monnier <[email-masked]> (Re: frame-visible-p misbehaves in tty)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#107: 23.0.60; frame-visible-p misbehaves in tty

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
107: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=107
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Apr  4 10:58:42 2008
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Subject: Re: frame-visible-p misbehaves in tty
Date: Fri, 04 Apr 2008 13:58:33 -0400

I just fixed it,

BTW, I think it's wrong to consider obscured tty frames as visible.
I.e. rather than use a special value 2 for `visible', we should
consider them as iconified.

        Stefan

>From [email-masked] Wed Apr  2 10:02:05 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Wed, 02 Apr 2008 13:01:54 -0400
To: [email-masked]
Date: Wed, 02 Apr 2008 11:29:36 +0200
From: Jose Ortega <[email-masked]>
Cc: 
Subject: 23.0.60; frame-visible-p misbehaves in tty
Sender: emacs-devel-bounces+monnier=[email-masked]

Emacs incorrectly reports frames created in a tty as non-visible (only the selected
frame is considered visible):

   emacs -nw -q
   C-x 5 2  ;; a new frame is created and selected
   M-: (frame-visible-p (next-frame (selected-frame))) => nil

instead of evaluating to t, as expected in tty (all frames should be considered
visible in ttys). As a side effect, M-x other-frame has no effect (it should
show F1, but it's considered non-visible).

Thanks!

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  global-auto-composition-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC x r e p o r t - e m a TAB RET

Recent messages:
("emacs" "-q")
For information about GNU Emacs and the GNU system, type C-h C-a.